#!/bin/sh

# temporary file
TMP=/tmp/crontab.tmp MYCRON=/tmp/cronfinal.tmp

# read out the current crontab settings
crontab -l > $TMP

# append our own tasks
if [ -f /share/main/cron/crontab.txt ];
then
	cat /share/main/cron/crontab.txt >> $TMP
fi

# remove duplicates
awk '!x[$0]++' $TMP > $MYCRON

# use the modified list
crontab $MYCRON

# remove temporary file
rm $TMP
rm $MYCRON

# restart
/etc/init.d/crond.sh restart

# some house keeping

echo >> /etc/profile
echo '# Added by /tmp/config/autorun.sh' >> /etc/profile
echo 'TERM=vt102' >> /etc/profile
echo '/opt/bin/resize' >> /etc/profile
echo '# end of additions' >> /etc/profile
echo >> /etc/profile

if [ -f /share/Web/index.php ];
then
	rm /share/Web/index.php
fi

/bin/cp /tmp/config/login.sh /tmp
/bin/sh /tmp/login.sh

